#2011, Eulalie Sauthier, Master Thesis


# Plot les graphes qui comparent les précipitations et les glaciers 
prec_lp<-read.csv("Glaciers/résumé/4st_santis.csv") #importe les données de précipitations
prec_lp<-prec_lp[3]
glaciers_gl <-read.csv("Glaciers/résumé/glaciers_Santis.csv") #importe les données de glaciers
glaciers_gl<-glaciers_gl[2:5]
	
star_gl<-1912 #année de départ
out<-monthtoyear(prec_lp) #transforme les données mensuelles en annuelles
prec_lp_ts<-ts(out,start=(1912),end=(2010),freq=1) #série temporelle
color=rainbow(17) #créer la palette
	
pdf("../Image/Glaciers_santis_part_1.pdf") #génère l'image 1
par(mfrow = c(3, 1))
plot(prec_lp_ts,type="h",col="black",ylab=colnames(prec_lp)) 
box(which = "figure")
plot(ts(glaciers_gl[ ,1], start=c(star_gl,1)),col=color[1],type="h",ylab=colnames(glaciers_gl)[1] )
box(which = "figure")
plot(ts(glaciers_gl[ ,2], start=c(star_gl,1)),col=color[2],type="h",ylab=colnames(glaciers_gl)[2])
box(which = "figure")
dev.off()

pdf("../Image/Glaciers_santis_part_2.pdf") #génère l'image 2
par(mfrow = c(3, 1))
plot(prec_lp_ts,type="h",col="black",ylab=colnames(prec_lp)) 
box(which = "figure")
plot(ts(glaciers_gl[ ,3], start=c(star_gl,1)),col=color[3],type="h",ylab=colnames(glaciers_gl)[3])
box(which = "figure")
plot(ts(glaciers_gl[ ,4], start=c(star_gl,1)),col=color[4],type="h",ylab=colnames(glaciers_gl)[4])
box(which = "figure")
dev.off()

#génère les scatters
for(j in 1:length(colnames(glaciers_gl))){
glaciers_gl_ts<-ts(glaciers_gl[ ,j], start=c(1912,1))
scatter_p_vs_r(prec_lp_ts, glaciers_gl_ts, glaciers_gl, prec_lp ,j,120,400,-100,50)
scatter_p_vs_gl_decal(prec_lp_ts, glaciers_gl_ts, glaciers_gl, prec_lp ,j,120,400,-100,50)
}
